package tools.descartes.dql.connector.simQPNV2;

import org.apache.log4j.Level;
import org.apache.log4j.Logger;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

public class Activator implements BundleActivator {

	private static BundleContext context;

	public static BundleContext getContext() {
		return context;
	}

	protected static Logger getLogger(final String name) {
		final Logger logger = Logger.getLogger(name);
		logger.setLevel(Level.DEBUG);

		return logger;
	}

	private Logger log;

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.osgi.framework.BundleActivator#start(org.osgi.framework.BundleContext
	 * )
	 */
	public void start(final BundleContext bundleContext) throws Exception {
		Activator.context = bundleContext;
		log = Activator.getLogger(this.getClass().getName());
		log.info("Starting connector");
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.osgi.framework.BundleActivator#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(final BundleContext bundleContext) throws Exception {
		log.info("Stopping connector");
	}

}
